package com.goomood.phm.mapper;

import java.util.List;
import com.goomood.phm.domain.BasicArea;

/**
 * 战区管理Mapper接口
 * 
 * @author goomood
 * @date 2024-11-16
 */
public interface BasicAreaMapper 
{
    /**
     * 查询战区管理
     * 
     * @param id 战区管理主键
     * @return 战区管理
     */
    public BasicArea selectBasicAreaById(Long id);

    /**
     * 查询战区管理列表
     * 
     * @param basicArea 战区管理
     * @return 战区管理集合
     */
    public List<BasicArea> selectBasicAreaList(BasicArea basicArea);

    /**
     * 新增战区管理
     * 
     * @param basicArea 战区管理
     * @return 结果
     */
    public int insertBasicArea(BasicArea basicArea);

    /**
     * 修改战区管理
     * 
     * @param basicArea 战区管理
     * @return 结果
     */
    public int updateBasicArea(BasicArea basicArea);

    /**
     * 删除战区管理
     * 
     * @param id 战区管理主键
     * @return 结果
     */
    public int deleteBasicAreaById(Long id);

    /**
     * 批量删除战区管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBasicAreaByIds(Long[] ids);
}
